Bug 69201 - [PATCH] gtkpod-0.80 + AAC build broken on -STABLE
Summary: [PATCH] gtkpod-0.80 + AAC build broken on -STABLE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-17 17:50 UTC by Scott Mitchell
Modified: 2004-07-28 12:08 UTC (History)
0 users

See Also:


Attachments
file.diff (362 bytes, patch)
2004-07-17 17:50 UTC, Scott Mitchell
no flags Details | Diff
gtkpod.diff (1.29 KB, patch)
2004-07-27 23:33 UTC, David Le Brun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Mitchell 2004-07-17 17:50:22 UTC
If audio/gtkpod is built with WITH_ACC=yes on -STABLE, the build fails at line
111 of mp4file.c attempting to #include stdint.h which, does not exist on the
RELENG_4 branch.  The port builds correctly without WITH_AAC=yes.

Fix: The attached patch to the gtkpod source uses inttypes.h instead of
stdint.h if __FreeBSD_version < 500027, which seems to be the last value it
had before stdint.h was added and inttypes.h removed.
How-To-Repeat: cd /usr/ports/audio/gtkpod && make WITH_ACC=yes
Comment 1 Volker Stolz freebsd_committer 2004-07-19 07:49:09 UTC
Dear maintainer, please review the proposed patch!

Volker
Comment 2 Volker Stolz freebsd_committer 2004-07-19 07:49:23 UTC
State Changed
From-To: open->feedback

Forwarded PR to maintainer
Comment 3 David Le Brun 2004-07-27 23:33:55 UTC
> Dear maintainer, please review the proposed patch!
> 

I've upgraded gtkpod to gtkpod 0.80-2 (bug fix release) and included the
patch provided in the PR.

Comment 4 Volker Stolz freebsd_committer 2004-07-28 12:08:41 UTC
State Changed
From-To: feedback->closed

Fixed by maintainer update. Thanks for your submission!